Scraper
Rerun a Manual Scraper
This endpoint reruns an existing manual scraper using the specified scraperId and url. Reruns leverage previously cached results, which can reduce token consumption and improve execution time.
Note
Use the V3 Platform API Server (https://api.app.mrscraper.com) host when calling this endpoint.
Authorization
apiKey x-api-token<token>
In: header
Header Parameters
accept*string
Value in
"application/json"Request Body
application/json
scraperId*string
Unique identifier of the scraper to rerun
Format
uuidurl*string
URL to scrape
Format
uriworkflow?
Array of workflow steps to execute during scraping
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.app.mrscraper.com/api/v1/scrapers-manual-rerun" \ -H "accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "scraperId": "600e1d1c-4606-44b0-95e3-ce6c3789b380", "url": "https://books.toscrape.com/", "workflow": [ { "type": "extract", "data": { "extraction_type": "text", "attribute": null, "name": "book", "selector": "h3 a" } } ], "record": false, "paginator": { "type": "query_pagination", "max_page": 1, "enabled": false } }'{
"message": "Successful operation!",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",
"scraperId": "6695bf87-aaa6-46b0-b1ee-88586b222b0b",
"type": "Rerun-AI",
"url": "http://example.com",
"status": "Finished",
"error": "string",
"tokenUsage": 0,
"runtime": 0,
"data": {},
"htmlPath": "string",
"recordingPath": "string",
"screenshotPath": "string",
"dataPath": "string",
"htmlContent": "string"
}
}{
"message": "Invalid or missing API token",
"error": "Unauthorized",
"statusCode": 401
}{
"message": "You do not have permission to access this resource",
"error": "Forbidden",
"statusCode": 403
}{
"message": "Resource not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"message": "An unexpected error occurred",
"error": "Internal Server Error",
"statusCode": 500
}